=== debian/changelog ===
wise (2.4.1-27) unstable; urgency=medium

  * Team upload.
  * d/patches: Add patch to fix FTBFS with GCC-15

 -- Lance Lin <lq27267@gmail.com>  Thu, 27 Mar 2025 20:42:30 +0700

wise (2.4.1-26) unstable; urgency=medium

  * Team upload.
  * d/control: Recommend xpdf instead of xpdfreader
  * Standards-Version: 4.7.2 (routine-update)
  * d/patches: Mark Forwarded as not-needed, since no upstream bug tracking
  * d/patches: Fix invalid Forwarded field in patch
  * d/patches: Add missing author field
  * d/patches: Update format on Last-Update field in patches
  * d/patches: Add patch to fix BLHC

 -- Lance Lin <lq27267@gmail.com>  Mon, 24 Mar 2025 22:32:14 +0700

wise (2.4.1-25) unstable; urgency=medium

  * Team upload.
  * gcc-14.patch: fix multiple build failures with gcc 14.
    Note that the patch alone is not sufficient as such as motifmatrix.c
    is still affected by a case of assignment to integer from pointer
    without a cast which feels like a compiler bug.  See #1075638.
  * d/control: build depends on the libfl-dev.
    Apparently the missing libl.a went below the radar for building dyc.
  * d/rules: build and provide the dyc compiler to the rest of the build.
  * d/rules: work around weird compiler behavior. (Closes: #1075638)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Thu, 15 Aug 2024 12:15:41 +0200

wise (2.4.1-24) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)
  * d/patches: Fix implicit-function-declaration errors (Closes: #1066705)
  * d/patches: Mark patch Forwarded fields as not-needed, since no upstream
    bug tracking, and update spelling.patch
  * d/patches: Fix executable-not-elf-or-script lintian warning
  * d/watch: Remove debian uupdate and access secure uri

 -- Lance Lin <lq27267@gmail.com>  Mon, 18 Mar 2024 22:32:37 +0700

wise (2.4.1-23) unstable; urgency=medium

  * Team upload.
  * Do not hard code the build architecture pkg-config
    Closes: #958094

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 18 Apr 2020 17:57:01 +0200

wise (2.4.1-22) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: Let dh_auto_build pass cross tools to make.
    (Closes: #956279)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Wrap long lines in changelog entries: 2.4.0-1.
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix permissions of *.hmm files
  * Fix autopkgtest since data files are not compressed any more

 -- Andreas Tille <tille@debian.org>  Fri, 17 Apr 2020 15:51:34 +0200

wise (2.4.1-21) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Long description for all packages
  * Drop unneeded Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 04 Oct 2018 14:49:55 +0200

wise (2.4.1-20) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: do not parse d/changelog
  * spelling

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2017 10:37:28 +0200

wise (2.4.1-19) unstable; urgency=medium

  * Team upload.
  * Make build reproducible under build path variation.
    - Omit the PDF trailer ID as it is based on the original input path.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 31 Aug 2016 22:28:34 +0000

wise (2.4.1-18) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Fix dates in manual .tex files.
    - Use stable order for API inputs.
  * Bump Standards-Version.
  * Enable full hardening.
  * Use secure Vcs-Browser.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 19 May 2016 21:53:30 +0000

wise (2.4.1-17) unstable; urgency=medium

  * debian/tests/control: explicitly depend on wise.  This avoids that
    ‘sadt’ skips the test when wise-doc is not installed.
  * debian/tests/run-unit-test: skip the first line of testman.pl, that
    misses a proper shebang and trigger a failure.
  * debian/control: shorten synopsis to less than 72 characters.
  * Conforms with Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 20:14:47 +0900

wise (2.4.1-16) unstable; urgency=medium

  * Make sure package builds also for arch only builds
    Closes: #757275

 -- Andreas Tille <tille@debian.org>  Thu, 07 Aug 2014 09:49:11 +0200

wise (2.4.1-15) unstable; urgency=medium

  * Move debian/upstream to debian/upstream/metadata
  * debian/control:
     - add myself to Uploaders
     - cme fix dpkg-control
     - debhelper 9
     - remove unneeded Build-Depends
  * debian/README.source: removed in favour of DEP5 headers
  * Make sure dnal has a valid return value (this affects the test suite
    of python-biopython on some architectures - see #751277)
  * debian/rules:
     - drop useless xz compression
     - add dh_auto_test
  * debian/patches/10_fix_path_to_data_files.patch: Brute force patch to
    fix the PATH to the data files to make the tools finding the needed
    data for the test suite

 -- Andreas Tille <tille@debian.org>  Mon, 04 Aug 2014 19:25:58 +0200

wise (2.4.1-14) unstable; urgency=low

  * Fixed FTBFS bug (Closes: #716983).

 -- Philipp Benner <philipp@debian.org>  Mon, 15 Jul 2013 18:22:15 +0200


