=== debian/control ===
Source: wise
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               texlive-latex-base,
               texlive-extra-utils,
               hevea,
               docbook-to-man,
               libglib2.0-dev,
               libfl-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/wise
Vcs-Git: https://salsa.debian.org/med-team/wise.git
Homepage: https://www.ebi.ac.uk/~birney/wise2/
Rules-Requires-Root: no

Package: wise
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wise-data (= ${source:Version})
Suggests: wise-doc (= ${source:Version})
Description: comparison of biopolymers, like DNA and protein sequences
 Wise2 is a package focused on comparisons of biopolymers, commonly DNA
 and protein sequences. There are many other packages which do
 this, probably the best known being BLAST package (from NCBI) and the
 Fasta package (from Bill Pearson). There are other packages, such as
 the HMMER package (Sean Eddy) or SAM package (UC Santa Cruz) focused
 on hidden Markov models (HMMs) of biopolymers.
 .
 Wise2's particular forte is the comparison of DNA sequence at the level
 of its protein translation. This comparison allows the simultaneous
 prediction of say gene structure with homology based alignment.
 .
 Wise2 also contains other algorithms, such as the venerable Smith-Waterman
 algorithm, or more modern ones such as Stephen Altschul's generalised
 gap penalties, or even experimental ones developed in house, such as
 dba. The development of these algorithms is due to the ease of developing
 such algorithms in the environment used by Wise2.
 .
 Wise2 has also been written with an eye for reuse and maintainability.
 Although it is a pure C package you can access its functionality
 directly in Perl. Parts of the package (or the entire package) can
 be used by other C or C++ programs without namespace clashes as all
 externally linked variables have the unique identifier Wise2 prepended.

Package: wise-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: wise (= ${source:Version}),
            xpdf | pdf-viewer
Description: documentation for the wise package
 Wise2 is a package focused on comparisons of biopolymers, commonly DNA
 and protein sequences. There are many other packages which do
 this, probably the best known being BLAST package (from NCBI) and the
 Fasta package (from Bill Pearson). There are other packages, such as
 the HMMER package (Sean Eddy) or SAM package (UC Santa Cruz) focused
 on hidden Markov models (HMMs) of biopolymers.
 .
 Wise2's particular forte is the comparison of DNA sequence at the level
 of its protein translation. This comparison allows the simultaneous
 prediction of say gene structure with homology based alignment.
 .
 Wise2 also contains other algorithms, such as the venerable Smith-Waterman
 algorithm, or more modern ones such as Stephen Altschul's generalised
 gap penalties, or even experimental ones developed in house, such as
 dba. The development of these algorithms is due to the ease of developing
 such algorithms in the environment used by Wise2.
 .
 Wise2 has also been written with an eye for reuse and maintainability.
 Although it is a pure C package you can access its functionality
 directly in Perl. Parts of the package (or the entire package) can
 be used by other C or C++ programs without namespace clashes as all
 externally linked variables have the unique identifier Wise2 prepended.
 .
 This package contains the documentation for Wise2, a package focused on
 comparisons of biopolymers, commonly DNA and protein sequences.

Package: wise-data
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: wise (= ${source:Version})
Description: data files for the wise package
 Wise2 is a package focused on comparisons of biopolymers, commonly DNA
 and protein sequences. There are many other packages which do
 this, probably the best known being BLAST package (from NCBI) and the
 Fasta package (from Bill Pearson). There are other packages, such as
 the HMMER package (Sean Eddy) or SAM package (UC Santa Cruz) focused
 on hidden Markov models (HMMs) of biopolymers.
 .
 Wise2's particular forte is the comparison of DNA sequence at the level
 of its protein translation. This comparison allows the simultaneous
 prediction of say gene structure with homology based alignment.
 .
 Wise2 also contains other algorithms, such as the venerable Smith-Waterman
 algorithm, or more modern ones such as Stephen Altschul's generalised
 gap penalties, or even experimental ones developed in house, such as
 dba. The development of these algorithms is due to the ease of developing
 such algorithms in the environment used by Wise2.
 .
 Wise2 has also been written with an eye for reuse and maintainability.
 Although it is a pure C package you can access its functionality
 directly in Perl. Parts of the package (or the entire package) can
 be used by other C or C++ programs without namespace clashes as all
 externally linked variables have the unique identifier Wise2 prepended.
 .
 This package contains data files for Wise2, a package focused on
 comparisons of biopolymers, commonly DNA and protein sequences.
