=== debian/tests/control ===
Tests: run-unit-test
Depends: wise, wise-data
Restrictions: allow-stderr
