=== debian/watch ===
version=4

https://www.ebi.ac.uk/~birney/wise2/ (?:./)?wise(.*)\.tar\.gz
